#!/usr/bin/env python3
import common
import re
import os
import sys

def judgeAllProcessIsAlive():
    cmd ="ps aux | grep -w python | grep dataprovider"
    result = common.executeCmd(cmd, isTrip=True)['data']
    resultArray = result.rsplit('\n')
    processCount = 0
    for arr in resultArray:
        arrLine = re.split('\s*',arr)
        length = len(arrLine)
        if(arrLine[length-1].lower().endswith('dataprovider.py')): # or arrLine[length-1].lower().endswith('dataprovider_update.py')):
            processCount+=1
            if(arrLine[7].lower() != 'd' and arrLine[7].lower() != 'r' and arrLine[7].lower() != 's'):
                return False      
    if(processCount == 4):
        return True            
    return False            
                    
def readPythonExecutePath():
    common.instanceUpdateLogger()
    logger = common.getUpdateLogger()
    common.instanceSpecialConfigJson(logger)
    pythonPath = common.getspecialConfigValue("PythonPath", name = 'globalConfig')
    return pythonPath
                               
if __name__ == '__main__':
    if(judgeAllProcessIsAlive() == False):
        cmd = "/etc/init.d/hwdataprovider restart"
        common.executeCmd(cmd,isTrip=False)
