#!/bin/sh
initpath="/etc/init.d"
basepath=$(cd `dirname $0`; pwd)
servicename=hwdataprovider
serviceupdatename=hwdataproviderupdate
username=hwdataprovider
userhomedir=/home/hwdataprovider
logdir=/var/log/huawei/dataprovider

$initpath/$servicename stop
$initpath/$serviceupdatename stop

sleep 1
userdel $username
groupdel $username
rm -r $userhomedir

rm /etc/sudoers.d/90-$servicename
rm /etc/cron.d/90-$servicename

chkconfig --del $servicename  >/dev/null 2>&1
chkconfig --del $serviceupdatename >/dev/null 2>&1

rm $initpath/$servicename 
rm $initpath/$serviceupdatename
rm -r $logdir
